Bug 40 - default curl options will not follow redirections
Summary: default curl options will not follow redirections
Status: RESOLVED FIXED
Alias: None
Product: abcde
Classification: Unclassified
Component: Album art (show other bugs)
Version: unspecified
Hardware: All All
: Normal normal
Assignee: Andrew Strong
URL:
Depends on:
Blocks:
 
Reported: 2016-08-27 23:02 BST by Gabriel Rosenkoetter
Modified: 2017-01-14 02:41 GMT (History)
1 user (show)

See Also:


Attachments
patching adding -L to default curl options (448 bytes, application/octet-stream)
2016-08-27 23:02 BST, Gabriel Rosenkoetter
Details
patching adding -L to default curl options (448 bytes, patch)
2016-08-27 23:51 BST, Gabriel Rosenkoetter
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Rosenkoetter 2016-08-27 23:02:47 BST
Created attachment 26 [details]
patching adding -L to default curl options

The default baked-in setting for HTTPGETOPTS in the curl case exclude "-L", but without that (at least on Mac OS X), curl won't follow redirects, and the vast majority of http://coverartartchive.org/ are redirects. Without the -L, you get a text file called cover.jpg with the text "See <actual url>.", and that's obviously not what we want. :^>

patch against 2.7.3-UNRELEASED (2f566c2 according to gitweb) attached (but it's one line, so it's probably fine against 2.7.*).
Comment 1 Gabriel Rosenkoetter 2016-08-27 23:51:36 BST
Created attachment 30 [details]
patching adding -L to default curl options
Comment 2 Steve McIntyre 2017-01-13 00:32:50 GMT
thanks, patch applied!
Comment 3 Andrew Strong 2017-01-14 02:41:54 GMT
Patch applied by Steve: bug closed....